Package io.papermc.paper.event.block

# Class BlockBreakBlockEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
io.papermc.paper.event.block.BlockBreakBlockEvent

public class BlockBreakBlockEvent extends BlockEvent
Called when a block forces another block to break and drop items.

Currently called for piston's and liquid flows.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockBreakBlockEvent(@NotNull Block block, @NotNull Block source, @NotNull List<ItemStack> drops)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<ItemStack>`
`getDrops()`
Get the drops of this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Block`
`getSource()`
Gets the block that cause this (e.g.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockBreakBlockEvent

public BlockBreakBlockEvent(@NotNull @NotNull Block block, @NotNull @NotNull Block source, @NotNull @NotNull List<ItemStack> drops)

## Method Details

### getDrops

@NotNull public @NotNull List<ItemStack> getDrops()
Get the drops of this event

Returns:
  the drops

### getSource

@NotNull public @NotNull Block getSource()
Gets the block that cause this (e.g. a piston, or adjacent liquid)

Returns:
  the source

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()